//
//  MainWindowController.h
//  Perforce
//
//  Created by Adam Czubernat on 09.05.2013.
//  Copyright (c) 2013 Perforce Software, Inc. All rights reserved.
//

#import <Cocoa/Cocoa.h>

@interface MainWindowController : NSWindowController

- (void)openFile:(NSString *)path;
- (void)editFiles:(NSArray *)paths;
- (void)editAllFiles:(NSArray *)paths;
- (void)submitFiles:(NSArray *)paths;
- (void)submitAllFiles:(NSArray *)paths;

- (void)reload;
- (void)loadPath:(NSString *)path;

- (void)showErrors:(NSArray *)errors;
- (void)showLoading:(NSString *)message;
- (void)dismissLoading;

// Menu actions

- (void)newWindow:(id)sender;
- (void)connect:(id)sender;
- (void)changeConnectionDetails:(id)sender;
- (void)showWorkspaceSelection:(id)sender;
- (void)cleanWorkspace:(id)sender;
- (void)disconnect:(id)sender;
- (void)getInfo:(id)sender;

- (void)toggleColumnView:(id)sender;
- (void)toggleIconView:(id)sender;

- (IBAction)debugMenuRunCommand:(id)sender;
- (IBAction)debugMenuSaveLog:(id)sender;

- (void)showHelp:(id)sender;

@end
